Bug 516492 - KeyError: 'No installed packages by name
KeyError: 'No installed packages by name
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-10 04:08 EDT by Michal Nowak
Modified: 2013-03-07 21:06 EST (History)
4 users (show)

See Also:
Fixed In Version: 0.91-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-03 15:05:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2009-08-10 04:08:17 EDT
Description of problem:

newman@dhcp-lab-124 dejagnu-1.4.4 $ rpmdiff http://www.sss.gg/ssds.rpm http://www.sss.gg/ssds.rpm
Traceback (most recent call last):
  File "/usr/bin/rpmdiff", line 270, in <module>
    main()
  File "/usr/bin/rpmdiff", line 265, in main
    d = Rpmdiff(args[0], args[1], ignore=ignore_tags)
  File "/usr/bin/rpmdiff", line 82, in __init__
    old = self.__load_pkg(old).header
  File "/usr/bin/rpmdiff", line 154, in __load_pkg
    raise KeyError("No installed packages by name %s" % name)
KeyError: 'No installed packages by name http://www.sss.gg/ssds.rpm'

rpmdiff should not traceback on this, at least.

Version-Release number of selected component (if applicable):

rpmlint-0.90-1.fc11.noarch
Comment 1 Ville Skyttä 2009-08-10 06:04:03 EDT
Thanks for the report; fixed upstream, will be in the next > 0.90 release:
http://rpmlint.zarb.org/cgi-bin/trac.cgi/changeset/1630
Comment 2 Fedora Update System 2009-09-13 18:42:04 EDT
rpmlint-0.91-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rpmlint-0.91-1.fc11
Comment 3 Fedora Update System 2009-09-15 03:42:12 EDT
rpmlint-0.91-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rpmlint'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9562
Comment 4 Fedora Update System 2009-10-03 15:05:05 EDT
rpmlint-0.91-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.